QGIS Application - Bug report #4633
"Save as...DXF" does not add file extension
2011-12-12 03:39 AM - elcuco -

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version: Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupts data: Copied to github as #: 14534
Description

When saving a layer to DXF, using the "Save As" command, the file extension (my_file.dxf) is not automatically added, only the first letter
(my_file.d). This is not readable by CAD software....

Best regards,

Pedro

Associated revisions

Revision 47397336 - 2011-12-13 12:26 PM - Jiirgen Fischer

backport 3d41384ce89b3b0bb881955782bfe386a6f13e5c¢ (closes #4633)

History

#1 - 2011-12-12 12:28 PM - Paolo Cavallini

See #3477 and #3821

#2 -2011-12-13 01:16 AM - elcuco -

Paolo Cavallini wrote:

See #3477 and #3821

| guess it's the same bug. I've updated my QGIS to 1.7.3 and it still not "Save As" properly to DXF... the bug remains.

#3 - 2011-12-13 03:25 AM - Jiirgen Fischer

elcuco - wrote:

Paolo Cavallini wrote:

See #3477 and #3821

| guess it's the same bug. I've updated my QGIS to 1.7.3 and it still not "Save As" properly to DXF... the bug remains.
fixed in master, but apparently not backported.

#4 - 2011-12-13 03:30 AM - Jiirgen Fischer
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:"4739733690ac4adbbf07d73bff16df57648dee7b".

2025-04-27

22



